Package org.pushingpixels.substance.internal.animation

# Class StateTransitionTracker

java.lang.Object
org.pushingpixels.substance.internal.animation.StateTransitionTracker

public class StateTransitionTracker extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`StateTransitionTracker.ModelStateInfo`
`static interface`
`StateTransitionTracker.RepaintCallback`
`static class`
`StateTransitionTracker.StateContributionInfo`

## Constructor Summary

Constructors
Constructor
Description
`StateTransitionTracker(JComponent component, ButtonModel model)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addStateTransitionListener(StateTransitionListener stateTransitionListener)`
`void`
`endTransition()`
`float`
`getActiveStrength()`
`float`
`getFacetStrength(ComponentStateFacet stateFacet)`
`float`
`getFocusLoopPosition()`
`float`
`getFocusStrength(boolean hasFocus)`
`float`
`getIconGlowPosition()`
`IconGlowTracker`
`getIconGlowTracker()`
`ButtonModel`
`getModel()`
`StateTransitionTracker.ModelStateInfo`
`getModelStateInfo()`
`String`
`getName()`
`boolean`
`hasRunningTimelines()`
`void`
`onModelStateChanged()`
`void`
`registerFocusListeners()`
`void`
`registerModelListeners()`
`void`
`removeStateTransitionListener(StateTransitionListener stateTransitionListener)`
`void`
`setFocusState(boolean hasFocus)`
`void`
`setModel(ButtonModel model)`
`void`
`setName(String name)`
`void`
`setRepaintCallback(StateTransitionTracker.RepaintCallback repaintCallback)`
`void`
`setTransitionPosition(float transitionPosition)`
`void`
`turnOffModelChangeTracking()`
`void`
`unregisterFocusListeners()`
`void`
`unregisterModelListeners()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StateTransitionTracker

public StateTransitionTracker(JComponent component, ButtonModel model)

## Method Details

### setName

public void setName(String name)

### getName

public String getName()

### setRepaintCallback

public void setRepaintCallback(StateTransitionTracker.RepaintCallback repaintCallback)

### registerFocusListeners

public void registerFocusListeners()

### registerModelListeners

public void registerModelListeners()

### unregisterFocusListeners

public void unregisterFocusListeners()

### unregisterModelListeners

public void unregisterModelListeners()

### setTransitionPosition

public void setTransitionPosition(float transitionPosition)

### setModel

public void setModel(ButtonModel model)

### getModel

public ButtonModel getModel()

### turnOffModelChangeTracking

public void turnOffModelChangeTracking()

### onModelStateChanged

public void onModelStateChanged()

### getFocusStrength

public float getFocusStrength(boolean hasFocus)

### getFocusLoopPosition

public float getFocusLoopPosition()

### getIconGlowPosition

public float getIconGlowPosition()

### getFacetStrength

public float getFacetStrength(ComponentStateFacet stateFacet)

### getActiveStrength

public float getActiveStrength()

### addStateTransitionListener

public void addStateTransitionListener(StateTransitionListener stateTransitionListener)

### removeStateTransitionListener

public void removeStateTransitionListener(StateTransitionListener stateTransitionListener)

### endTransition

public void endTransition()

### setFocusState

public void setFocusState(boolean hasFocus)

### hasRunningTimelines

public boolean hasRunningTimelines()

### getIconGlowTracker

public IconGlowTracker getIconGlowTracker()

### getModelStateInfo

public StateTransitionTracker.ModelStateInfo getModelStateInfo()